/*
	DIO1.C

	PK2500
	
	Read digital input IN-00 and echo its state to OUT-00.

	Attach a voltmeter to OUT-00, then ground IN-00. OUT-00 will change state
	according to the state of IN-00.
*/

#use eziopk25.lib		//	pk2500 specific defns
#define IN_CHAN 0		//	define input channel pin IN-00
#define OUT_CHAN 0	//	define output channel pin OUT-00

main() {
   eioBrdInit(0);
   while (1) {			//	do this indefinitely
      eioBrdDO(OUT_CHAN,eioBrdDI(IN_CHAN));
      hitwd();			//	hit watchdog
   }
}
